import React from 'react';
export declare type Guides = Array<{
    position: number;
    orientation: 'horizontal' | 'vertical';
    unit?: '%' | 'dp' | 'px';
    color?: string;
    opacity?: number;
    width?: number;
}>;
/**
 * Allows you to add regularly spaced marker lines on the screen
 */
export declare type GridLines = Array<{
    spacing: number;
    color?: string;
    opacity?: number;
    width?: number;
}>;
export declare type GridProps = {
    /**
     * Add guides on screen. Percentual, points or pixel. Ex. v50%, h50%, v10px, v10p
     */
    guides?: Guides | false;
    /**
     * Allows you to add regularly spaced marker lines on the screen
     */
    grid?: GridLines | false;
    /**
     * Sets grid alignment
     */
    align: 'side' | 'center' | 'left' | 'right';
};
/**
 * Add guidelines on screen
 */
export default class Grid extends React.PureComponent<GridProps> {
    render(): JSX.Element;
}
