import React from 'react';
import { ImageRequireSource, ImageURISource } from 'react-native';
export declare type ImageInfo = {
    thumb: {
        uri: string;
        width: number;
        height: number;
    };
    width: number;
    height: number;
    uri: string;
    title?: string;
};
export declare type ImageInfoAsync = {
    thumb?: {
        uri: string;
        width?: number;
        height?: number;
    };
    width?: number;
    height?: number;
    uri: string;
    title?: string;
};
export declare type ImageSelectProps = {
    left: number;
    bottom: number;
    width: number;
    height: number;
    /**
     * Server images
     */
    imagesAsync?: () => Promise<Array<ImageInfoAsync>>;
    /**
     * Add image to pixel-perfect
     */
    images?: Array<ImageURISource | ImageRequireSource>;
    onSelect: (info: ImageInfo) => void;
};
declare type ImageSelectState = {
    loading: boolean;
    images?: Array<ImageInfo>;
};
/**
 * Add guidelines on screen
 */
export default class ImageSelect extends React.PureComponent<ImageSelectProps, ImageSelectState> {
    state: ImageSelectState;
    private animatedLoading;
    private animatedValue;
    getImageSize(image: ImageURISource | ImageRequireSource): Promise<ImageInfo>;
    private getImages;
    componentDidMount(): Promise<void>;
    render(): JSX.Element;
}
export {};
